Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029884
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2015-03-12 13:112015-05-18 17:31
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q2.1
StatusclosedFix in branchFixed in SCM revisioncca5b0c34a32
ProjectionnoneETAnoneTarget Version3.0PR15Q2.1
OSLinux 64 bitDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029884: It's not possible to complete a Simple G/L Journal in Oracle

DescriptionIt's not possible to complete a Simple G/L Journal record in Oracle
Steps To ReproduceCreate a Simple G/L Journal record:
 Organization: F&B España, S.A
 General Ledger: F&B España, S.A. US/A/Euro
 Currency: EUR

Create a line:
 GL Item: Capital social
 Debit: 100

Create another line:
 GL Item: Capital social
 Credit: 100

Complete it. "Process complete succesfully" message is shown but the record still in draft status.
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029256 closedaferraz It's not possible to complete a Simple G/L Journal in Oracle 

-  Notes
(0077539)
hgbot (developer)
2015-05-18 17:31

Repository: erp/backports/3.0PR15Q2.1
Changeset: cca5b0c34a3258be34c99d4f7c9362b8504d5faf
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu May 14 14:20:33 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.1/rev/cca5b0c34a3258be34c99d4f7c9362b8504d5faf [^]

Fixes issue 29884: Error while completing a Simple G/L Journal in Oracle

A query in gl_journal_post has been changed to avoid errors in Oracle when retrieving a null id

---
M src-db/database/model/functions/GL_JOURNAL_POST.xml
---
(0077540)
hgbot (developer)
2015-05-18 17:31

Repository: erp/backports/3.0PR15Q2.1
Changeset: c279b54114560e9fe08fe3aadbc2cd4488619a7d
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Mon May 18 17:30:26 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.1/rev/c279b54114560e9fe08fe3aadbc2cd4488619a7d [^]

Related to bug 29884: Code Review

Add coalesce in case there is no batch associated to set GL Journal Org, in order to avoid issues in the if condition done right after the query if null values are compared

---
M src-db/database/model/functions/GL_JOURNAL_POST.xml
---
(0077541)
umartirena (developer)
2015-05-18 17:31

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-05-14 14:18 aferraz Type defect => backport
2015-05-14 14:18 aferraz Target Version => 3.0PR15Q2.1
2015-05-15 13:20 dmitry_mezentsev Tag Attached: Approved
2015-05-18 17:31 hgbot Checkin
2015-05-18 17:31 hgbot Note Added: 0077539
2015-05-18 17:31 hgbot Status scheduled => resolved
2015-05-18 17:31 hgbot Resolution open => fixed
2015-05-18 17:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.1/rev/cca5b0c34a3258be34c99d4f7c9362b8504d5faf [^]
2015-05-18 17:31 hgbot Checkin
2015-05-18 17:31 hgbot Note Added: 0077540
2015-05-18 17:31 umartirena Review Assigned To => umartirena
2015-05-18 17:31 umartirena Note Added: 0077541
2015-05-18 17:31 umartirena Status resolved => closed
2015-05-18 17:31 umartirena Fixed in Version => 3.0PR15Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker